/* -------------------------------------------------------------------------------------- */
/* -----------------------BUTTON----------------------- */
/*.btn {
  display: inline-block;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
  padding: 5px 10px;
  font-size: 1rem;
  border-radius: 5px;
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}*/
.btn-default {
  background-color: #f8f9fa;
  border-color: #ddd;
  color: #444;
}

.btn-primary {
  color: #fff;
  background-color: var(--primary) !important;
  border-color: var(--primary) !important;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus {
  color: #fff;
  background-color: var(--primary-dark) !important;
  border-color: var(--primary-dark) !important;
}

.btn-rounded {
  border-radius: 10rem;
}

.btn-check:focus + .btn-primary, .btn-primary:focus {
  color: #fff;
  background-color: var(--primary-dark);
  border-color: none;
  box-shadow: none;
}

.btn-check:active + .btn-primary:focus, .btn-check:checked + .btn-primary:focus, .btn-primary.active:focus, .btn-primary:active:focus, .show > .btn-primary.dropdown-toggle:focus {
  box-shadow: none;
  border-color: var(--primary-light);
}

/*.btn-secondary {
  color: var(--primary);
  background-color: transparent;
  border-color: var(--primary);
}

.btn-secondary:hover,
.btn-secondary:active,
.btn-secondary:focus {
  color: var(--primary-dark);
  background-color: transparent;
  border-color: var(--primary-dark);
}

.btn-check:focus + .btn-secondary, .btn-secondary:focus {
  color: var(--primary);
  background-color: transparent;
  border-color: none;
  box-shadow: none;
}

.btn-check:active + .btn-secondary:focus, .btn-check:checked + .btn-secondary:focus, .btn-secondary.active:focus, .btn-secondary:active:focus, .show > .btn-secondary.dropdown-toggle:focus {
  box-shadow: none;
  border-color: var(--primary-light);
}*/


.btn.outline {
  background: none !important;
}

.btn-primary.outline {
  color: var(--primary);
}

.btn-primary.outline:hover, .btn-primary.outline:focus, .btn-primary.outline:active, .btn-primary.outline.active, .open > .dropdown-toggle.btn-primary {
  color: var(--primary-dark);
  border-color: var(--primary-dark);
}

.btn-primary.outline:active, .btn-primary.outline.active {
  border-color: var(--primary-light);
  color: var(--primary-light);
  box-shadow: none;
}

/* -----------------------CARD----------------------- */
.card {
  /* position: relative; */
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: transparent;
  background-clip: border-box;
  border: none;
  border-radius: .25rem;
}


/* .card-title {
    float: left;
    font-size: 1rem;
    font-weight: 400;
    margin: 0;
} */

.card-title {
  margin-bottom: 0;
}

.card-body {
  color: #484848;
}

.card.collapsed-card .card-body,
.card.collapsed-card .card-footer {
  display: none;
}

.btn-tool {
	background-color: transparent;
    color: #cfcfcf;
    /* font-size: .875rem; */
    margin: -0.75rem 0;
    padding: 0.25rem 0.5rem;
}

/* -----------------------PAGINATION----------------------- */
/* dl, ol, ul {
    margin-top: 0;
    margin-bottom: 5px;
} */

.page-link {
    color: var(--primary);
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #dee2e6;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.page-link:hover {
    background-color: var(--primary);
    color: #fff;
}

.page-item.active .page-link {
    color: #fff;
    background-color: var(--primary);
    border-color: var(--primary);
}

/* -----------------------BACKGROUND COLOR----------------------- */
.bg-primary {
	background-color: var(--primary) !important;
	color: #fff !important;
	/*border: 2px var(--primary) !important;*/
}

/* -----------------------TEXT COLOR----------------------- */
.text-primary {
    color: var(--primary) !important;
}

/* -----------------------TABLE----------------------- */
  .table-primary {
      --bs-table-bg: var(--primary-light);
      --bs-table-striped-bg: #c5d7f2;
      --bs-table-striped-color: #000;
      --bs-table-active-bg: #bacbe6;
      --bs-table-active-color: #000;
      --bs-table-hover-bg: var(--primary-light);
      --bs-table-hover-color: #000;
      color: #000;
      border-color: #f4f6f9;
  }

/* -----------------------ACCORDION----------------------- */
  .accordion-button::after {
    font-family: "Font Awesome 5 Free";
    content: '\f057';
    width: auto;
    height: auto;
    color: #858585;
    background-image: none;
    transform: rotate(45deg);
  }

  .accordion-button:not(.collapsed)::after { 
    flex-shrink: 0;
    width: auto;
    height: auto;
    margin-left: auto;
    background-image: none;
    background-repeat: no-repeat;
    background-size: 1.25rem;
    transition: transform .2s ease-in-out;
  }

  .accordion-button:not(.collapsed) {
      color: #202020;
      background-color: var(--primary-light);
      box-shadow: inset 0 -1px 0 rgba(0, 0, 0, .125);
  }

  .accordion-button:focus {
      z-index: 1;
      border-color: transparent;
      outline: 0;
      box-shadow: none;
  }

/* -------------------------------------------------------------------------------------- */



.dropdown-item.active, .dropdown-item:active {
  color: #fff;
  text-decoration: none;
  background-color: var(--primary);
}

.form-control:focus {
  color: #212529;
  background-color: #fff;
  border-color: var(--primary-light);
  outline: 0;
  box-shadow: var(--primary-rgba);
}

.form-select:focus {
  border-color: var(--primary-light);
  outline: 0;
  box-shadow: var(--primary-rgba);
}


/* ROUNDED */

.rounded-sm	{
  border-radius: 0.125rem;
}

.rounded {
  border-radius: 0.25rem;
}

.rounded-md	{
  border-radius: 0.375rem;
}

.rounded-lg	{
  border-radius: 0.5rem; 
}

.rounded-xl	{
  border-radius: 0.75rem;
}

.rounded-b-sm {
  border-bottom-right-radius: 0.125rem; /* 2px */
  border-bottom-left-radius: 0.125rem; /* 2px */
}

.rounded-b {
  border-bottom-right-radius: 0.25rem; /* 4px */
  border-bottom-left-radius: 0.25rem; /* 4px */
}

.rounded-b-md {
  border-bottom-right-radius: 0.375rem; /* 6px */
  border-bottom-left-radius: 0.375rem; /* 6px */
}

.rounded-b-lg {
  border-bottom-right-radius: 0.5rem; /* 8px */
  border-bottom-left-radius: 0.5rem; /* 8px */
}

.rounded-b-xl {
  border-bottom-right-radius: 0.75rem; /* 12px */
  border-bottom-left-radius: 0.75rem; /* 12px */
}

.sticky-top {
 transition: .32s;
 /*animation: slideUp 0.35s ease-out;*/
}

.fixed-top {
  transition: .25s;
  animation: slideDown 0.35s ease-out;
}

@keyframes slideDown {
  from {
    transform: translateY(-100%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes slideUp {
  from {
    transform: translateY(100%);
  }
  to {
    transform: translateY(0);
  }
}


.tawk-button {
  background-color: var(--primary) !important;
}

ul.custom-bullet-out li::marker {
  content: "\f0c8";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: var(--primary);
  border: solid #fff;
}

ul.custom-bullet li::marker {
  content: "\f152";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: var(--primary)
}

li .custom-breadcrumbs::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: var(--bs-breadcrumb-divider, "f105");
}

.custom-breadcrumbs .breadcrumb-item + .breadcrumb-item::before {
  /* float: left;
  padding-right: .5rem; */
  color: #d7d7d7 !important;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: var(--bs-breadcrumb-divider, "\f105");

}

/* CHECKBOX */

.form-check-input:checked {
  background-color: var(--primary);
  border-color: var(--primary);
}


/* CARD OVERLAY */
.card .overlay, .overlay-wrapper .overlay, .info-box .overlay, .small-box .overlay {
  border-radius: 0.25rem;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.7);
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  z-index: 50;
}
.card > .overlay, .card > .loading-img, .overlay-wrapper > .overlay, .overlay-wrapper > .loading-img, .info-box > .overlay, .info-box > .loading-img, .small-box > .overlay, .small-box > .loading-img {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}


.table > :not(:first-child) {
  border-top: none !important;
}


.highcharts-background{
  background-color: #000 !important;
}


.modal-open{overflow:auto;padding-right:0 !important;}